# Configuration profiles

LAM allows the user to store the configuration settings in profiles. This makes it easy to manage different LDAP servers. All profile files ae stored in config/ and are named <name>.conf.
The master configuration file config/config.cfg only stores the default profile and master password. It has the same file format as the profiles.

## File format

LAM allows to store values and comments in the configuration files. Only one type per line is allowed, it is not possible to mix comments and values in the same line.

### Settings

<identifier>: <value>
The first word in the line is taken as identifier for the setting. It must be followed by a ":" and a space.
The rest of the line is taken as the value for this setting.

### Comments

# Comment
Comments always start with a "#" as first character and end at the line end. LAM will ignore all lines starting with a "#".